Lucene++ - a full-featured, c++ search engine
API Documentation

Public Member Functions | Static Public Member Functions
Lucene::TermEnum Class Referenceabstract

Abstract class for enumerating terms. More...

`#include <TermEnum.h>`

Inheritance diagram for Lucene::TermEnum:

## Public Member Functions

virtual | ~TermEnum ()
virtual String | getClassName ()
boost::shared_ptr< TermEnum > | shared_from_this ()
virtual bool | next ()=0
| Increments the enumeration to the next element. True if one exists. More...
virtual TermPtr | term ()=0
| Returns the current Term in the enumeration. More...
virtual int32_t | docFreq ()=0
| Returns the docFreq of the current Term in the enumeration. More...
virtual void | close ()=0
| Closes the enumeration to further activity, freeing resources. More...
Public Member Functions inherited from Lucene::LuceneObject
virtual | ~LuceneObject ()
virtual void | initialize ()
| Called directly after instantiation to create objects that depend on this object being fully constructed. More...
virtual LuceneObjectPtr | clone (const LuceneObjectPtr &other=LuceneObjectPtr())
| Return clone of this object. More...
virtual int32_t | hashCode ()
| Return hash code for this object. More...
virtual bool | equals (const LuceneObjectPtr &other)
| Return whether two objects are equal. More...
virtual int32_t | compareTo (const LuceneObjectPtr &other)
| Compare two objects. More...
virtual String | toString ()
| Returns a string representation of the object. More...
Public Member Functions inherited from Lucene::LuceneSync
virtual | ~LuceneSync ()
virtual SynchronizePtr | getSync ()
| Return this object synchronize lock. More...
virtual LuceneSignalPtr | getSignal ()
| Return this object signal. More...
virtual void | lock (int32_t timeout=0)
| Lock this object using an optional timeout. More...
virtual void | unlock ()
| Unlock this object. More...
virtual bool | holdsLock ()
| Returns true if this object is currently locked by current thread. More...
virtual void | wait (int32_t timeout=0)
| Wait for signal using an optional timeout. More...
virtual void | notifyAll ()
| Notify all threads waiting for signal. More...

## Static Public Member Functions

static String | _getClassName ()

## Additional Inherited Members

Protected Member Functions inherited from Lucene::LuceneObject
| LuceneObject ()
Protected Attributes inherited from Lucene::LuceneSync
SynchronizePtr | objectLock
LuceneSignalPtr | objectSignal

## Detailed Description

Abstract class for enumerating terms.

Term enumerations are always ordered by Term.compareTo(). Each term in the enumeration is greater than all that precede it.

## Constructor & Destructor Documentation

## ◆ ~TermEnum()

virtual Lucene::TermEnum::~TermEnum | ( |  | ) |

virtual

## Member Function Documentation

## ◆ _getClassName()

static String Lucene::TermEnum::_getClassName | ( |  | ) |

inline static

## ◆ close()

virtual void Lucene::TermEnum::close | ( |  | ) |

pure virtual

Closes the enumeration to further activity, freeing resources.

Implemented in Lucene::SegmentTermEnum, Lucene::FuzzyTermEnum, Lucene::FilterTermEnum, Lucene::FilteredTermEnum, and Lucene::MultiTermEnum.

## ◆ docFreq()

virtual int32_t Lucene::TermEnum::docFreq | ( |  | ) |

pure virtual

Returns the docFreq of the current Term in the enumeration.

Implemented in Lucene::SegmentTermEnum, Lucene::FilterTermEnum, Lucene::FilteredTermEnum, and Lucene::MultiTermEnum.

## ◆ getClassName()

virtual String Lucene::TermEnum::getClassName | ( |  | ) |

inline virtual

Reimplemented in Lucene::WildcardTermEnum, Lucene::TermRangeTermEnum, Lucene::SingleTermEnum, Lucene::SegmentTermEnum, Lucene::PrefixTermEnum, Lucene::FuzzyTermEnum, Lucene::FilterTermEnum, Lucene::FilteredTermEnum, and Lucene::MultiTermEnum.

## ◆ next()

virtual bool Lucene::TermEnum::next | ( |  | ) |

pure virtual

Increments the enumeration to the next element. True if one exists.

Implemented in Lucene::SegmentTermEnum, Lucene::FilterTermEnum, Lucene::FilteredTermEnum, and Lucene::MultiTermEnum.

## ◆ shared_from_this()

boost::shared_ptr< TermEnum > Lucene::TermEnum::shared_from_this | ( |  | ) |

inline

## ◆ term()

virtual TermPtr Lucene::TermEnum::term | ( |  | ) |

pure virtual

Returns the current Term in the enumeration.

Implemented in Lucene::SegmentTermEnum, Lucene::FilterTermEnum, Lucene::FilteredTermEnum, and Lucene::MultiTermEnum.

The documentation for this class was generated from the following file:

- TermEnum.h

clucene.sourceforge.net